## napari-plugin-engine 0.2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	echo "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx==3.0.1
pygments
sphinx_autodoc_typehints
sphinx_rtd_theme
sphinx-press-theme
importlib-metadata>=0.12

=== debian/changelog ===
napari-plugin-engine (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version.
               Add some <!nodoc> build profiles
               build-dep on dh-sequence-{python3,sphinxdoc}
  * d/control: build-dep on pytest to enable test running.
  * Add patch and dependencies to link to the packaged Python3 docs.
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: sort and format; remove unused importlib-metadata build-
    dep.
  * d/upstream/metadata: document upstream's GitHub repository

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 09:13:50 +0200

napari-plugin-engine (0.2.0-3) unstable; urgency=medium

  * Update debian/copyright.

 -- Roland Mas <lolando@debian.org>  Thu, 17 Aug 2023 21:45:08 +0200

napari-plugin-engine (0.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 08 Aug 2023 09:53:07 +0200

napari-plugin-engine (0.2.0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Aug 2023 16:23:42 +0200

=== debian/control ===
Source: napari-plugin-engine
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
           Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-doc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-all,
               python3-pytest <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/napari-plugin-engine
Vcs-Git: https://salsa.debian.org/python-team/packages/napari-plugin-engine.git
Homepage: https://github.com/napari/napari-plugin-engine
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-napari-plugin-engine
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: napari plugin engine, fork of pluggy
 napari-plugin-engine is a fork of pluggy modified by the napari team.
 .
 There are some API and feature changes, including:
 .
  - discovery via naming convention as well as entry_points
  - support for reordering of hook calls after registration.
  - enhanced API for retrieving plugin package metadata.
  - modified plugin call and registration exception handling
  - modified `HookResult` object and hook call loop, with ability to
 retrieve the HookImplementation responsible for the result.
  - lazy plugin discovery
  - some changes to variable and attribute naming
  - removed all deprecated code
  - type annotations on everything
  - pytest fixtures for testing
  - a couple napari-specific convenience imports

Package: python-napari-plugin-engine-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-doc
Description: documentation for the napari-plugin-engine Python library
 This package provides documentation for napari-plugin-engine

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=napari-plugin-engine
export PYBUILD_TEST_ARGS={dir}/testing

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
version=4
# try also https://pypi.debian.net/napari-plugin-engine/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/napari-plugin-engine/napari-plugin-engine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
